JexlSandbox.Names (Apache Commons JEXL 3.6.3 API)
Description: declaration: package: org.apache.commons.jexl3.introspection, class: JexlSandbox, class: Names

Package org.apache.commons.jexl3.introspection

# Class JexlSandbox.Names

java.lang.Object
org.apache.commons.jexl3.introspection.JexlSandbox.Names

Direct Known Subclasses:
  `JexlSandbox.BlackSet`, `JexlSandbox.WhiteSet`

Enclosing class:
  `JexlSandbox`

public abstract static class JexlSandbox.Names extends Object
A base set of names.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Names()`
  Default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `add(String name)`
  Adds a name to this set.
  `boolean`
  `alias(String name, String alias)`
  Adds an alias to a name to this set.
  `protected JexlSandbox.Names`
  `copy()`
  Gets a copy of these Names
  `String`
  `get(String name)`
  Gets whether a given name is allowed or not.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Names

    public Names()
    Default constructor

- ## Method Details

  - ### add

    public abstract boolean add(String name)
    Adds a name to this set.
    Parameters:
      `name` - the name to add
    Returns:
      true if the name was really added, false if not

  - ### alias

    public boolean alias(String name, String alias)
    Adds an alias to a name to this set.

    This only has an effect on allow lists.

    Parameters:
      `name` - the name to alias
      `alias` - the alias
    Returns:
      true if the alias was added, false if it was already present

  - ### copy

    protected JexlSandbox.Names copy()
    Gets a copy of these Names
    Returns:
      a copy of these Names

  - ### get

    public String get(String name)
    Gets whether a given name is allowed or not.
    Parameters:
      `name` - the method/property name to check
    Returns:
      null (or NULL if name is null) if not allowed, the actual name to use otherwise